[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSet.OnFilterRecord

Event triggered to filter records.

## Declaration

Source position: db.pas line 1767

`public property TDataSet.OnFilterRecord : TFilterRecordEvent read FOnFilterRecord write SetOnFilterRecord;`

## Description

OnFilterRecord can be used to provide event-based filtering for datasets that support it. This event is only triggered when the Tdataset.Filtered property is set to True. The event handler should set the Accept parameter to True if the current record should be accepted, or to False if it should be rejected. No methods that change the state of the dataset may be used during this event, and calculated fields or lookup field values are not yet available.

## See also

TDataset.Filter |  | Filter to apply to the data in memory.
TDataset.Filtered |  | Is the filter active or not.
TDataset.state |  | Current operational state of the dataset